#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "rr_main.h"


void
on_mainwin_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  RRMainStart(180);
}


void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  RRMainStart(240);
}


void
on_button3_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  RRMainStart(300);
}


void
on_button4_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


gboolean
on_face_expose_event                   (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  RRScreenRedraw(widget, event, user_data);
  return FALSE;
}


